## lemonbar 1.2

=== Makefile ===
# This snippet has been shmelessly stol^Hborrowed from thestinger's repose Makefile
VERSION = 1.1
GIT_DESC=$(shell test -d .git && git describe --always 2>/dev/null)

ifneq "$(GIT_DESC)" ""
	VERSION=$(GIT_DESC)
endif

CC	?= gcc
CFLAGS += -Wall -std=c99 -Os -DVERSION="\"$(VERSION)\""
LDFLAGS += -lxcb -lxcb-xinerama -lxcb-randr
CFDEBUG = -g3 -pedantic -Wall -Wunused-parameter -Wlong-long \
          -Wsign-conversion -Wconversion -Wimplicit-function-declaration

EXEC = lemonbar
SRCS = lemonbar.c
OBJS = ${SRCS:.c=.o}

PREFIX?=/usr
BINDIR=${PREFIX}/bin

all: ${EXEC}

doc: README.pod
	pod2man --section=1 --center="lemonbar Manual" --name "lemonbar" --release="lemonbar $(VERSION)" README.pod > lemonbar.1

.c.o:
	${CC} ${CFLAGS} -o $@ -c $<

${EXEC}: ${OBJS}
	${CC} -o ${EXEC} ${OBJS} ${LDFLAGS}

debug: ${EXEC}
debug: CC += ${CFDEBUG}

clean:
	rm -f ./*.o ./*.1
	rm -f ./${EXEC}

install: lemonbar doc
	install -D -m 755 lemonbar ${DESTDIR}${BINDIR}/lemonbar
	install -D -m 644 lemonbar.1 ${DESTDIR}${PREFIX}/share/man/man1/lemonbar.1

uninstall:
	rm -f ${DESTDIR}${BINDIR}/lemonbar
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/lemonbar.1

.PHONY: all debug clean install

=== debian/changelog ===
lemonbar (1.2-2) unstable; urgency=medium

  * Add Raphael Mota Ramos <raphaelmota.ti@gmail.com> to Uploaders.
  * Append CPPFLAGS hardening flags to CFLAGS.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 25 Oct 2016 20:43:51 +0900

lemonbar (1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #815894)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 19 May 2016 22:43:32 +0900

=== debian/control ===
Source: lemonbar
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
Priority: extra
Section: x11
Build-Depends: debhelper (>= 9),
	libxcb-randr0-dev,
	libxcb-xinerama0-dev
Standards-Version: 3.9.8
Homepage: https://github.com/LemonBoy/bar
Vcs-Git: git://anonscm.debian.org/collab-maint/lemonbar.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lemonbar.git;a=summary

Package: lemonbar
Architecture: any
Section: x11
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight bar based on XCB
 lemonbar is a lightweight bar based on XCB. It provides foreground/background
 color switching along with text alignment and colored under/overlining of text,
 full utf8 support and reduced memory footprint. Nothing less and nothing more.

## lemonbar 1.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This snippet has been shmelessly stol^Hborrowed from thestinger's repose Makefile
-VERSION = 1.1
+VERSION = 1.2
 GIT_DESC=$(shell test -d .git && git describe --always 2>/dev/null)
 
 ifneq "$(GIT_DESC)" ""

=== debian/changelog ===
lemonbar (1.3-2) unstable; urgency=medium

  * Update Vcs-Browser and Vcs-Git to salsa.d.o.
  * Bumped Standards-Version to 4.2.1.
  * Get rid of insecure-copyright-format-uri of lintian warning.
  * Remove duplicated field.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 24 Oct 2018 20:51:03 +0900

lemonbar (1.3-1) unstable; urgency=medium

  * New upstream released.
  * Update Standards-Version to 4.1.1.
  * Change priority from extra to optional.
  * Update Vcs-Git and Vcs-Browser.
  * Update debhelper to 10.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Dec 2017 13:29:10 +0900

=== debian/control ===
Source: lemonbar
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libxcb-randr0-dev,
               libxcb-xinerama0-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/lemonbar
Vcs-Git: https://salsa.debian.org/debian/lemonbar.git
Homepage: https://github.com/LemonBoy/bar

Package: lemonbar
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: lightweight bar based on XCB
 lemonbar is a lightweight bar based on XCB. It provides foreground/background
 color switching along with text alignment and colored under/overlining of text,
 full utf8 support and reduced memory footprint. Nothing less and nothing more.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bar-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/LemonBoy/bar/tags .*/v?(\d\S*)\.tar\.gz

## lemonbar 1.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This snippet has been shmelessly stol^Hborrowed from thestinger's repose Makefile
-VERSION = 1.2
+VERSION = 1.4
 GIT_DESC=$(shell test -d .git && git describe --always 2>/dev/null)
 
 ifneq "$(GIT_DESC)" ""
@@ -7,7 +7,7 @@
 endif
 
 CC	?= gcc
-CFLAGS += -Wall -std=c99 -Os -DVERSION="\"$(VERSION)\""
+CFLAGS += -Wall -std=c99 -Os -DVERSION="\"$(VERSION)\"" -D_GNU_SOURCE
 LDFLAGS += -lxcb -lxcb-xinerama -lxcb-randr
 CFDEBUG = -g3 -pedantic -Wall -Wunused-parameter -Wlong-long \
           -Wsign-conversion -Wconversion -Wimplicit-function-declaration

=== debian/changelog ===
lemonbar (1.4-1) unstable; urgency=medium

  * New upstream released.
  * Add d/upstream/metadata.
  * Update d/control.
    - Update Standards-Version to 4.5.0.
    - Use debhelper-compat instead of debhelper.
    - Bump debhelper version to 13.
    - Remove d/compat.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 30 Nov 2020 10:21:03 +0900

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                libxcb-randr0-dev,
                libxcb-xinerama0-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/lemonbar
 Vcs-Git: https://salsa.debian.org/debian/lemonbar.git
 Homepage: https://github.com/LemonBoy/bar

## lemonbar 1.5

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
           -Wsign-conversion -Wconversion -Wimplicit-function-declaration
 
 EXEC = lemonbar
-SRCS = lemonbar.c
+SRCS = lemonbar.c utils.c
 OBJS = ${SRCS:.c=.o}
 
 PREFIX?=/usr

=== debian/changelog ===
lemonbar (1.5-1) unstable; urgency=medium

  * New upstream released.
  * d/control
    + Bump Standards-Version to 4.7.0.
    + Add 'Rules-Requires-Root: no'.
    + Update copyright year.
  * d/watch:
    + Update version to 4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 25 Jan 2025 00:37:12 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                libxcb-randr0-dev,
                libxcb-xinerama0-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/lemonbar
 Vcs-Git: https://salsa.debian.org/debian/lemonbar.git
 Homepage: https://github.com/LemonBoy/bar

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bar-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/LemonBoy/bar/tags .*/v?(\d\S*)\.tar\.gz
